=== debian/changelog ===
pd-readanysf (0.42-1) unstable; urgency=low

  [ Roman Haefeli ]
  * Initial release (Closes: #598388)
  * do manual install, since the provided Makefile doesn't have a
    'install' target

  [ IOhannes m zmölnig ]
  * updated debian/copyright
  * patch for missing objs/ directory
  * renamed CFLAGS to protect them from being overwritten
  * patch to always use -fPIC
  * patch for proper OS-detection

  [ Alessandro Ghedini ]
  * add debian/watch file

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Thu, 10 Feb 2011 14:25:57 +0100
