=== debian/control ===
Source: pd-readanysf
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>
Build-Depends: debhelper (>= 7.0.1),
 dh-buildinfo,
 cdbs (>= 0.4.91~),
 devscripts (>= 2.10.7~),
 libgmerlin-avdec-dev,
 libgavl-dev,
 puredata
Standards-Version: 3.9.1
Section: sound
Homepage: http://aug.ment.org/readanysf/
Vcs-Git: git://git.debian.org/pkg-multimedia/pd-readanysf
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/pd-readanysf.git;a=summary

Package: pd-readanysf
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 pd
Description: A Pd external for reading multiple audio file formats
 This Pure Data object supports reading from disk as well as from web-
 resources and decodes a huge variety of audio codecs. Sources with multiple
 channels and sampling rates different from Pd's can be played back as well.
 .
 Check the help-patch for more usage information.
