=== debian/changelog ===
pd-readanysf (0.43-8) unstable; urgency=medium

  * Update patch to fix FTBFS with gmerlin-avdec 2.0.0
    (Closes: #1127728)
  * Switch to dh-sequence-puredata
    + Add Provides stanza for dh-puredata
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete 'Rules-Requires-Root: no' stanza.
  * Update d/watch to version 5
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Feb 2026 21:55:59 +0100

pd-readanysf (0.43-7) unstable; urgency=medium

  * Team Upload
  * Drop build-deps on devscripts & dh-buildinfo
  * Bump Standards-Version to 4.7.2

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update git repository layout to follow DEP-14

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 17:49:02 +0200

pd-readanysf (0.43-6) unstable; urgency=medium

  * Build for both single and double-precision Pd
  * Switch build-system to pd-lib-builder
    + Replace upstream build-system with pd-lib-builder
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 15:34:21 +0200

pd-readanysf (0.43-5) unstable; urgency=medium

  * Update d/copyright
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:51:00 +0100

pd-readanysf (0.43-4) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Patch for gmerlin-avdec_1.2.0+svn6222
    (Closes: #1005104)
  * Pass CXXFLAGS to buildsystem
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 13 Feb 2022 18:37:07 +0100

pd-readanysf (0.43-3) unstable; urgency=medium

  * Added patch for compat with Pd>=0.49
    (Closes: #909815)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 29 Sep 2018 08:47:00 +0200

pd-readanysf (0.43-2) unstable; urgency=medium

  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Enabled hardening
  * Switched URLs to https://
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
    * Fixed my uploader's name
  * Removed trailing whitespace in debian/*
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:35:13 +0100

pd-readanysf (0.43-1) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.43
    - Removed patches included upstream.
  * Versioned Build-depends on puredata-dev | puredata
  * Updated Depends to use puredata|pd
  * Fixed short description
  * Update Vcs-* stanzas
  * Updated copyright file to final DEP5 specifications
  * Bumped standards to 3.9.4

  [ Hans-Christoph Steiner ]
  * Updated Build-Depends to use puredata-dev (Closes: #629805)

  [ Felipe Sateler ]
  * Add myself to Uploaders
  * Relese to unstable

 -- Felipe Sateler <fsateler@debian.org>  Fri, 28 Jun 2013 09:44:39 -0400
