=== debian/watch ===
Version: 5

Source: http://aug.ment.org/readanysf/download.php
Matching-Pattern: /software/readanysf~(\d+)\.(\d+).tar.gz
